Bug 663136 - bouncycastle 1.45 incompatible with openssl 1.0.
Summary: bouncycastle 1.45 incompatible with openssl 1.0.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bouncycastle
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-14 19:45 UTC by Steve Traylen
Modified: 2011-03-21 03:29 UTC (History)
3 users (show)

Fixed In Version: bouncycastle-tsp-1.46-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-17 17:04:15 UTC
Type: ---


Attachments (Terms of Use)
bouncycastle - openssl patch. take 1 (75.91 KB, patch)
2010-12-20 08:35 UTC, Orcan Ogetbil
no flags Details | Diff

Description Steve Traylen 2010-12-14 19:45:08 UTC
Hi,

It seems that bouncycastle-1.45 is not usable with openssl-1.0 generated 
certificates.

http://www.bouncycastle.org/jira/browse/BJA-305

would it be possible to move to the beta:

http://downloads.bouncycastle.org/betas/

  Steve

(If you could document more the procedure for removing the IDEA
algorithms to make the Ferdora tar ball as well that would be great.)

Comment 1 Orcan Ogetbil 2010-12-14 22:03:22 UTC
Thanks for the heads up. I'll try to see if I can backport the fix as I don't want to release a beta RPM in stable releases.

As for the removal of IDEA, I really can't think of anything to explain more than what is already there. I just grep for "IDEA" and remove whatever I see. Any suggestions on what more to include as a comment in the SPEC file?

Comment 2 Orcan Ogetbil 2010-12-20 08:34:08 UTC
Hello,
Could you try the attached patch against 1.45?

In case you don't know how to work with patches, I made this scratch build for you. You can grab it from koji:
   http://koji.fedoraproject.org/koji/taskinfo?taskID=2676785

Comment 3 Orcan Ogetbil 2010-12-20 08:35:01 UTC
Created attachment 469694 [details]
bouncycastle - openssl patch. take 1

Comment 4 Fedora Update System 2011-03-03 03:16:20 UTC
Package bouncycastle-tsp-1.46-1.fc15,bouncycastle-mail-1.46-1.fc15,bouncycastle-1.46-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bouncycastle-tsp-1.46-1.fc15,bouncycastle-mail-1.46-1.fc15,bouncycastle-1.46-1.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/bouncycastle-tsp-1.46-1.fc15,bouncycastle-mail-1.46-1.fc15,bouncycastle-1.46-1.fc15
then log in and leave karma (feedback).

Comment 5 Steve Traylen 2011-03-03 06:35:35 UTC
Hi,
Thanks for doing the patch here , I never did get around to testing it.

I decided that .el6 was so new that doing an upgrade to 1.46 at this stage
was probably the best idea.

Comment 6 Fedora Update System 2011-03-04 10:02:08 UTC
bouncycastle-tsp-1.46-1.fc15, bouncycastle-mail-1.46-1.fc15, bouncycastle-1.46-1.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bouncycastle-tsp bouncycastle-mail bouncycastle'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/bouncycastle-tsp-1.46-1.fc15,bouncycastle-mail-1.46-1.fc15,bouncycastle-1.46-1.fc15

Comment 7 Fedora Update System 2011-03-04 10:14:13 UTC
Package bouncycastle-1.46-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bouncycastle-1.46-1.el6'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/bouncycastle-1.46-1.el6
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-03-17 17:04:08 UTC
bouncycastle-1.46-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-03-21 03:29:18 UTC
bouncycastle-tsp-1.46-1.fc15, bouncycastle-mail-1.46-1.fc15, bouncycastle-1.46-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.